net.snowflake.client.jdbc

## Class SnowflakeResultSetSerializableV1.ChunkFileEntry

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeResultSetSerializableV1.ChunkFileEntry

Enclosing class:
  SnowflakeResultSetSerializableV1

    public static class SnowflakeResultSetSerializableV1.ChunkFileEntry
    extends Object

An Entity class to represent a chunk file metadata.

### Constructor Summary

Constructors
Constructor and Description
`ChunkFileEntry(String fileURL, int rowCount, int compressedByteSize, int uncompressedByteSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCompressedByteSize()`
`String` `getFileURL()`
`int` `getRowCount()`
`int` `getUncompressedByteSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChunkFileEntry

    public ChunkFileEntry(String fileURL,
                          int rowCount,
                          int compressedByteSize,
                          int uncompressedByteSize)

### Method Detail

#### getFileURL

    public String getFileURL()

#### getRowCount

    public int getRowCount()

#### getCompressedByteSize

    public int getCompressedByteSize()

#### getUncompressedByteSize

    public int getUncompressedByteSize()